Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox will not update for my MAC 10.6.8. I've tried and tried! I still have Firefox 16.0 and my bank requires an update. Please help.

  • 4 replies
  • 5 have this problem
  • 12651 views
  • Last reply by cor-el

more options

I see other people have this problem and hope there is a solution. My Firefox browser is stuck on 16.0 and nothing happens when I try to update. It seems to download, but I'm still on 16.0. I have tried every which way to update my browser. Now my bank (online banking) is saying I have to update to continue with them. Please help. (computer: MAC 10.6.8)

Chosen solution

marleyk76 said

I see other people have this problem and hope there is a solution. My Firefox browser is stuck on 16.0 and nothing happens when I try to update. It seems to download, but I'm still on 16.0. I have tried every which way to update my browser. Now my bank (online banking) is saying I have to update to continue with them. Please help. (computer: MAC 10.6.8)

PROBLEM SOLVED!!! and I feel so stupid, but maybe this will help others. I had downloaded Firefox 36.0 and it was in my applications folder, BUT I kept clicking on the old Firefox icon so still brought up 16.0. All this time and I just needed to bring the new icon out onto the dock and delete the old one. Thank You for those who tried to help me.

Read this answer in context 👍 0

All Replies (4)

more options

If there are problems with updating or with the permissions then best is to download the full version and trash the currently installed version to do a clean install of the new version.

Download a new copy of the Firefox application and save the disk image file to the desktop

Your personal data is stored elsewhere in the Firefox profile folder, so you won't lose your bookmarks and other personal data when you uninstall and (re)install or update Firefox.

more options

And in case you did install Firefox 36.0.1 your useragent may be set at Firefox 16.0

https://support.mozilla.org/en-US/kb/websites-say-firefox-outdated-or-incompatible

more options

Chosen Solution

marleyk76 said

I see other people have this problem and hope there is a solution. My Firefox browser is stuck on 16.0 and nothing happens when I try to update. It seems to download, but I'm still on 16.0. I have tried every which way to update my browser. Now my bank (online banking) is saying I have to update to continue with them. Please help. (computer: MAC 10.6.8)

PROBLEM SOLVED!!! and I feel so stupid, but maybe this will help others. I had downloaded Firefox 36.0 and it was in my applications folder, BUT I kept clicking on the old Firefox icon so still brought up 16.0. All this time and I just needed to bring the new icon out onto the dock and delete the old one. Thank You for those who tried to help me.

more options

Your troubleshooting information list seems to confirm that you have Firefox 16 ("browser.startup.homepage_override.mstone": "16.0").

{
  "libraryVersions": {
    "NSSSMIME": {
      "minVersion": "3.13.6.0 Basic ECC",
      "version": "3.13.6.0 Basic ECC"
    },
    "NSSUTIL": {
      "minVersion": "3.13.6.0",
      "version": "3.13.6.0"
    },
    "NSS": {
      "minVersion": "3.13.6.0 Basic ECC",
      "version": "3.13.6.0 Basic ECC"
    },
    "NSSSSL": {
      "minVersion": "3.13.6.0 Basic ECC",
      "version": "3.13.6.0 Basic ECC"
    },
    "NSPR": {
      "minVersion": "4.9.2",
      "version": "4.9.2"
    }
  },
  "javaScript": {
    "incrementalGCEnabled": true
  },
  "accessibility": {
    "forceDisabled": 0,
    "isActive": false
  },
  "application": {
    "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:16.0) Gecko/20100101 Firefox/16.0",
    "supportURL": "http://support.mozilla.org/1/firefox/16.0/Darwin/en-US/",
    "version": "16.0",
    "name": "Firefox"
  },
  "modifiedPreferences": {
    "security.warn_viewing_mixed": false,
    "gfx.blacklist.webgl.msaa": 4,
    "browser.startup.homepage_override.mstone": "16.0",
    "network.cookie.prefsMigrated": true,
    "browser.cache.disk.capacity": 1048576,
    "privacy.sanitize.timeSpan": 0,
    "browser.startup.homepage_override.buildID": "20121005155445",
    "browser.cache.disk.smart_size.first_run": false,
    "privacy.cpd.sessions": false,
    "privacy.cpd.history": false,
    "browser.places.smartBookmarksVersion": 4,
    "places.history.expiration.transient_current_max_pages": 100664,
    "privacy.cpd.cookies": false,
    "privacy.cpd.downloads": false,
    "extensions.lastAppVersion": "16.0",
    "browser.cache.disk.smart_size_cached_value": 1048576,
    "accessibility.typeaheadfind.flashBar": 0,
    "privacy.sanitize.migrateFx3Prefs": true,
    "browser.startup.homepage": "http://us.mg4.mail.yahoo.com/neo/launch",
    "privacy.cpd.formdata": false,
    "places.database.lastMaintenance": 1424619568
  },
  "extensions": [
    {
      "version": "1.1a",
      "name": "Troubleshooter",
      "isActive": true,
      "id": "troubleshooter@mozilla.org"
    },
    {
      "version": "20150225.01",
      "name": "Firefox Certificate Store Hotfix",
      "isActive": false,
      "id": "firefox-hotfix@mozilla.org"
    }
  ],
  "graphics": "Troubleshoot data provider failed: graphics\nTypeError: ext is null",
  "userJS": {
    "exists": false
  }
}